> For the complete documentation index, see [llms.txt](https://gitbook.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://gitbook.com/docs/developers/gitbook-api/api-reference/users/create-a-jwt-to-access-the-in-app-notifications-service.md).

# Create a JWT to access the in-app notifications service

Generates a JWT for the authenticated user. This token is used by the frontend notifications client to access user endpoints.

```json
{"openapi":"3.1.0","info":{"title":"GitBook API","version":"0.0.1-beta"},"tags":[{"name":"users","description":"The Users API allows you to fetch data about GitBook users, including the authenticated account or other team members by ID. This is crucial for customizing permissions, personalizing content, or establishing user-specific flows.\n\n{% openapi-schemas spec=\"gitbook\" schemas=\"User\" grouped=\"false\" %}\n    The User object\n{% endopenapi-schemas %}\n"}],"servers":[{"url":"{host}/v1","variables":{"host":{"default":"https://api.gitbook.com"}}}],"security":[{"user-internal":[]}],"components":{"securitySchemes":{"user-internal":{"type":"http","scheme":"bearer"}},"schemas":{"APITemporaryToken":{"type":"object","properties":{"token":{"type":"string","description":"Temporary access token to authenticate with the API"}},"required":["token"]}}},"paths":{"/user/notifications/token":{"post":{"operationId":"createUserNotificationsToken","summary":"Create a JWT to access the in-app notifications service","description":"Generates a JWT for the authenticated user. This token is used by the frontend notifications client to access user endpoints.\n","tags":["users"],"responses":{"200":{"description":"The notifications service User JWT","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APITemporaryToken"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://gitbook.com/docs/developers/gitbook-api/api-reference/users/create-a-jwt-to-access-the-in-app-notifications-service.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
